[D301]专利详情聚合
可以通过输入patent_id或patent_number批量查询专利的详情信息
专利id和公开号两个参数必须要有一个,如果两个都存在,会优先使用专利id。
该接口支持批量请求,上限为100条,请求参数相互之间用英文,隔开。批量请求在进行流量/费用扣减的时候,会根据返回结果的成功条数进行多次扣减。
请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
| string | 9cf648f8-8283-4767-9a14-f90f68303f3e | 专利id |
| string | CN108977442B | 公开公告号 |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | array | - | 响应数据 |
pn | string | CN110650438A | 专利公开(公告)号 |
title | string | 绝缘挡板 | 专利标题 |
images | array | Please check the form: ImageData | 附图信息 |
path | string | https://data-fulltext-image.zhihuiya.com/CN/S/30/39/48/52/4/000003.png?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1764306982%3B1764911782%26q-key-time%3D1764306982%3B1764911782%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3D3bdda85c03aae7a16b6cbfc8eb3781a49d73b048&response-expires=Fri%2C%2005%20Dec%202025%2005%3A16%3A22%20GMT | 附图地址 |
image_type | string | drawing | 全文附图类型 |
inventor | string | 田园|魏光涛|吴京雷|马劲松 | 发明人 |
title_cn | string | 绝缘挡板 | 专利中文标题 |
patent_id | string | 1e099a74-4378-4b84-9d13-f1b4ed5cb59b | 专利id |
grant_date | integer<int32> | 20161130 | 授权日期 |
patent_type | string | 外观设计 | 专利类型 |
grant_number | string | CN303948524S | 授权号 |
priority_date | integer<int32> | 20090203 | 优先权日 |
expiration_date | integer<int32> | 20251207 | 预估到期日 |
application_date | integer<int32> | 20151207 | 申请日期 |
current_assignee | string | 国网北京市电力公司|国家电网公司 | 当前权利人 |
publication_date | integer<int32> | 20161130 | 公开日期 |
original_assignee | string | 国网北京市电力公司|国家电网公司 | 原始申请人 |
application_number | string | CN201530507755.6 | 申请号 |
classification_data | array | Please check the form: AggregationPatentClassifcation | 分类号信息 |
category | array | [
"13-03"
] | 分类号 |
category_type | string | LOC | 分类号类型 |
simple_legal_status | string | 有效 | 简单法律状态 |
registration_country | string | CN | 专利注册国家 |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": [
{
"pn": "CN110650438A",
"title": "绝缘挡板",
"images": [
{
"path": "https://data-fulltext-image.zhihuiya.com/CN/S/30/39/48/52/4/000003.png?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1764306982%3B1764911782%26q-key-time%3D1764306982%3B1764911782%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3D3bdda85c03aae7a16b6cbfc8eb3781a49d73b048&response-expires=Fri%2C%2005%20Dec%202025%2005%3A16%3A22%20GMT",
"image_type": "drawing"
}
],
"inventor": "田园|魏光涛|吴京雷|马劲松",
"title_cn": "绝缘挡板",
"patent_id": "1e099a74-4378-4b84-9d13-f1b4ed5cb59b",
"grant_date": 20161130,
"patent_type": "外观设计",
"grant_number": "CN303948524S",
"priority_date": 20090203,
"expiration_date": 20251207,
"application_date": 20151207,
"current_assignee": "国网北京市电力公司|国家电网公司",
"publication_date": 20161130,
"original_assignee": "国网北京市电力公司|国家电网公司",
"application_number": "CN201530507755.6",
"classification_data": [
{
"category": [
"13-03"
],
"category_type": "LOC"
}
],
"simple_legal_status": "有效",
"registration_country": "CN"
}
],
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200000 | API整体限流错误! |
67200001 | API整体限流错误! |
67200002 | 当前调用速率过快,超过当前配置限制QPS! |
67200003 | 申请token的key和secret传参不正确或者客户端已被禁用! |
67200004 | 请求的接口无权限请联系我们的支持人员! |
67200005 | 账户余额/调用次数不足! |
67200006 | 客户端超过开通有效期! |
67200007 | 当前调用超过当天配置使用额度! |
67200008 | 请检查query参数中必填的apikey是否传输! |
67200009 | apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token! |
67200012 | 请求不合法! |
67200100 | 当前服务器状态正忙,请求响应超时! |
67200101 | 当前请求的Api不存在请检查请求Path! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
性能指标
此接口的预期性能特征
正常响应时间
5000 ms
最大响应时间
10000 ms